#include<bits/stdc++.h>
using namespace std;
int n,k,t[50005];
int main(){
   cin>>n>>k;
   for(int i=1;i<=n;i++){
      cin>>t[i];
   }
   for(int i=1;i<=n;i++){
      if(t[n]==k){
         cout<<t[1];
         break;
      }
      if(k==t[i]){
         cout<<t[i+1];
         break;
      }
   }
return 0;
}